### Method

# Pango Layout set_tabs

#### Declaration [src]

    void
    pango_layout_set_tabs (
      PangoLayout* layout,
      PangoTabArray* tabs
    )

#### Description [src]

Sets the tabs to use for `layout`, overriding the default tabs.

`PangoLayout` will place content at the next tab position whenever it meets a Tab character (U+0009).

By default, tabs are every 8 spaces. If `tabs` is `NULL`, the default tabs are reinstated. `tabs` is copied into the layout; you must free your copy of `tabs` yourself.

Note that tabs and justification conflict with each other: Justification will move content away from its tab-aligned positions. The same is true for alignments other than `PANGO_ALIGN_LEFT`.

#### Parameters

`tabs`

  Type: `PangoTabArray`

  A `PangoTabArray`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.